#!/bin/bash
# Script to compile PREDICT
#
echo -n "Compiling PREDICT version `cat .version`... "
cc -Wall -Wno-deprecated-non-prototype -Wno-format-truncation -Wno-unused-result -O3 -s -fomit-frame-pointer predict.c -lncurses -pthread -lasound -lcurl -o predict -lm -DBUILD_DIR="\"$(pwd)/\"" -DPREDICT_VERSION="\"$(cat .version)\""

if [ -x predict ]; then
	echo "Done!"
else
	echo "PREDICT compilation failed!  :-("
fi

